package com.myoa.engineering.crawl.ppomppu.processor.domain;

import java.io.Serializable;
import java.time.Instant;
import javax.persistence.Column;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.annotation.LastModifiedDate;

/**
 * Auditable
 *
 * @author Shin Woo-jin (woozu.shin@kakaoent.com)
 * @since 2021-09-08
 */
public abstract class Auditable implements Serializable {
    private static final long serialVersionUID = -7105030870015828551L;

    @Column
    @CreatedDate
    private Instant createdAt;

    @Column
    @LastModifiedDate
    private Instant modifiedAt;

}
