package com.myoa.engineering.crawl.ppomppu.receiver.configuration.properties;

import java.util.ArrayList;
import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.ConstructorBinding;
import org.springframework.stereotype.Component;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * TelegramBotProperties
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-09-05
 *
 */
@Component
@Setter
@Getter
@ConfigurationProperties(prefix = "infra.telegram.bot")
public class TelegramBotProperties {

    private List<TelegramBotPropertiesUnit> units = new ArrayList<>();

    @Data
    public static class TelegramBotPropertiesUnit {
        private String unitName;
        private String name;
        private String token;
    }

    public TelegramBotPropertiesUnit find(String unitName) {
        return units.stream()
                    .filter(e -> e.getUnitName().equals(unitName))
                    .findFirst()
                    .orElseThrow(
                        () -> new IllegalArgumentException(this.getClass().getName() + ": unitName Not found. " + unitName));
    }
}
