package com.myoa.engineering.crawl.ppomppu.receiver.handler.message.text;

import org.springframework.stereotype.Component;
import org.telegram.telegrambots.meta.api.objects.Message;

import com.myoa.engineering.crawl.ppomppu.receiver.handler.message.TextMessageHandler;

import lombok.extern.slf4j.Slf4j;

/**
 * NormalTextHandler
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-08-21
 *
 */
@Slf4j
@Component
public class CommonTextHandler implements TextMessageHandler {

    @Override
    public boolean isApplicable(Message message) {
        return TextMessageHandler.super.isApplicable(message) && message.isCommand() == false;
    }

    @Override
    public void handle(Message message) {
        log.info("CommonTextHandler : {}", message.getText());
    }

}
