package com.myoa.engineering.crawl.ppomppu.receiver.handler.message.text;

import org.springframework.stereotype.Component;
import org.telegram.telegrambots.meta.api.objects.Message;

import lombok.extern.slf4j.Slf4j;

/**
 * StartCommandProcessor
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-09-05
 *
 */
@Slf4j
@Component
public class StartTextCommandProcessor implements TextCommandProcessor {

    @Override
    public boolean isApplicable(TextCommandCode commandCode) {
        return TextCommandCode.START == commandCode;
    }

    @Override
    public void process(Message message) {
        log.info("[process] user: {}, command: {}", message.getChatId(), message.getText());
    }
}
