package com.myoa.engineering.crawl.ppomppu.sender.configuration.properties;

import java.util.List;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Getter
@Setter
@Component
@ConfigurationProperties("infra.slack.bot")
public class SlackSecretProperties {

    private List<SlackSecretPropertiesUnit> units;

    @Data
    public static class SlackSecretPropertiesUnit {

        private String botName;
        private String username;
        private String iconEmoji;
        private String channel;
        private String token;
    }

    public SlackSecretPropertiesUnit find(String botUnitName) {
        return units.stream()
                    .filter(e -> e.getBotName().equals(botUnitName))
                    .findFirst()
                    .orElseThrow(() -> new IllegalArgumentException("not found bot unit name : " + botUnitName));
    }
}
