package com.myoa.engineering.crawl.ppomppu.sender.controller;

import com.myoa.engineering.crawl.ppomppu.sender.infrastructure.client.MongeShoppingBotSlackMessageSender;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import lombok.extern.slf4j.Slf4j;
import reactor.core.publisher.Mono;

/**
 * TestAPIController
 *
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-11-15
 */
@Slf4j
@RestController
@RequestMapping("/api/v1")
public class TestAPIController {

    private final MongeShoppingBotSlackMessageSender sender;

    public TestAPIController(MongeShoppingBotSlackMessageSender sender) {
        this.sender = sender;
    }

    @GetMapping("/test")
    public Mono<String> test() {
        log.info("received!!!");
        return sender.sendMessage(sender.ofMessage("testtesttest!!!"));
    }
}
