package com.myoa.engineering.crawl.ppomppu.sender.infrastructure.client;

import java.util.ArrayList;

import org.springframework.stereotype.Component;

import com.myoa.engineering.crawl.ppomppu.sender.configuration.properties.SlackSecretProperties;
import com.myoa.engineering.crawl.ppomppu.sender.configuration.properties.SlackSecretProperties.SlackSecretPropertiesUnit;
import com.myoa.engineering.crawl.ppomppu.sender.dto.SlackMessageDTO;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Component
public class MongeShoppingBotSlackMessageSender extends SlackMessageSender {

    private static final String SLACK_SECRET_UNIT_NAME = "monge_shopping_bot";

    private final SlackSecretPropertiesUnit slackProperties;

    public MongeShoppingBotSlackMessageSender(SlackSecretProperties slackSecretProperties) {
        super(slackSecretProperties.find(SLACK_SECRET_UNIT_NAME).getToken());
        this.slackProperties = slackSecretProperties.find(SLACK_SECRET_UNIT_NAME);
    }

    public SlackMessageDTO ofMessageTemplate() {
        return SlackMessageDTO.builder()
                              .channel(slackProperties.getChannel())
                              .iconEmoji(slackProperties.getIconEmoji())
                              .username(slackProperties.getUsername())
                              .build();
    }

    public SlackMessageDTO ofMessage(String text) {
        return SlackMessageDTO.builder()
                              .channel(slackProperties.getChannel())
                              .iconEmoji(slackProperties.getIconEmoji())
                              .username(slackProperties.getUsername())
                              .text(text)
                              .build();
    }

    public SlackMessageDTO ofBlockMessageBased() {
        return SlackMessageDTO.builder()
                              .channel(slackProperties.getChannel())
                              .iconEmoji(slackProperties.getIconEmoji())
                              .username(slackProperties.getUsername())
                              .blocks(new ArrayList<>())
                              .build();
    }

}
